<template>
  <div id="header-container">
    <div id="tempheader">
      <!-- <img :src="require('../assets/logo.png')" alt='Logo' width=209 height=125/> -->
      <img :src="require('../assets/logo2.png')" alt="Logo" width="240" height="106">
      <div id="descriptor">
        <h1>ДОСТАВКА ПИЦЦЫ. МОСКВА</h1>
        <h1>При покупке двух любых пицц, третья в подарок!</h1>
      </div>
      <div id="social-links">
        <!-- <a href="https://vk.com/mapizza" target="_blank">
                        <img class="icon" :src='require("../assets/svg_vk.svg")' />
        </a>-->
        <a href="https://www.facebook.com/motsnapizza/" target="_blank">
          <img class="icon" :src="require('../assets/svg_facebook.svg')">
        </a>
        <a href="https://www.instagram.com/mapizza.ru/" target="_blank">
          <img class="icon" :src="require('../assets/svg_instagram.svg')">
        </a>
      </div>
      <div id="phone">
        <a href="tel:+74957921700">
          <h2>НАГАТИНСКАЯ: +7 (495) 792-17-00</h2>
        </a>
        <a href="tel:+74959685644">
          <h2>ЮГО-ЗАПАДНАЯ: +7 (495) 968-56-44</h2>
        </a>
      </div>
    </div>

    <div id="header">Сайт временно находится на тех.обслуживании
      <br>Ждем Вашего звонка
    </div>
  </div>
</template>

<script>
import HeaderLink from "./HeaderLink";
import { mapGetters, mapMutations } from "vuex";
export default {
  computed: {
    ...mapGetters(["isMobile"])
  }
};
</script>

<style scoped>
.icon {
  width: 20px;
  height: 20px;
}
#social-links {
  margin-top: 10px;
  min-width: 70px;
  text-align: right;
}
#social-links a {
  margin-left: 10px;
}

h1 {
  font-size: 1.2em;
  padding-left: 15px;
  padding-top: 5px;
  text-align: left;
}

h2 {
  font-size: 1em;
  padding-left: 5px;
  padding-right: 5px;
  padding-top: 5px;
}

h3 {
  font-size: 1.2em;
}

#descriptor {
  width: 480px;
}

#phone {
  text-align: right;
  min-width: 300px;
}

#header-container {
  position: fixed;
  top: 0;
  width: 90vw;
  max-width: 1180px;
  min-width: 1000px;
}

#tempheader {
  display: flex;
  flex-flow: row nowrap;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  background-color: white;
}

#header {
  /* display: flex; */
  width: 100%;
  max-width: 90vw;
  background-color: white;
  flex-flow: row wrap;
  justify-content: space-between;
  align-items: center;
  padding-bottom: 50px;
  text-align: center;
  padding-top: 50px;
  font-size: 36px;
}

#header-menu {
  text-align: left;
  display: flex;
  flex-flow: row wrap;
}

#cart-link {
  text-align: right;
}

#cart-link a {
  border: none;
  padding: 7px;
  border-radius: 10px;
  background-color: #f0712c;
  color: white;
  width: 250px;
  transition: all 0.1s ease;
}

#cart-link a:hover {
  background-color: #de601b;
}
</style>



